#include "DeerStudio/EditorEngine/API/Environment.h"
#include "DeerStudio/EditorEngine/ErrorHandle.h"
#include "DeerStudio/EditorEngine.h"

#include "angelscript.h"

namespace Deer {
    namespace EditorEngine {
        void registerEnvironmentStructs();
        void registerEnvironmentFunctions();

        void registerEnvironmentStructs() {
            AS_CHECK(scriptEngine->RegisterObjectType("Environment", sizeof(EnvironmentStruct), 
                asOBJ_VALUE | asOBJ_POD | asGetTypeTraits<EnvironmentStruct>() | asOBJ_APP_CLASS_ALLINTS));
        }

        void registerEnvironmentFunctions() {
            AS_CHECK(scriptEngine->RegisterGlobalFunction(
                "Environment getMainEnvironment()",
                asFUNCTION(getMainEnvironment), asCALL_CDECL    
            ));

            AS_CHECK(scriptEngine->RegisterGlobalFunction(
                "Environment createEnvironment(const string&in)",
                asFUNCTION(createEnvironment), asCALL_CDECL    
            ));

            AS_CHECK(scriptEngine->RegisterGlobalFunction(
                "Environment getEnvironment(const string&in)",
                asFUNCTION(getEnvironment), asCALL_CDECL    
            ));

            AS_CHECK(scriptEngine->RegisterObjectMethod(
                "Environment", "void render(Entity, FrameBuffer)",
                asMETHOD(EnvironmentStruct, render), asCALL_THISCALL    
            ));

            AS_CHECK(scriptEngine->RegisterObjectMethod(
                "Environment", "Entity getRootEntity()",
                asMETHOD(EnvironmentStruct, getRootEntity), asCALL_THISCALL    
            ));

            AS_CHECK(scriptEngine->RegisterObjectMethod(
                "Environment", "Entity getEntity(int)",
                asMETHOD(EnvironmentStruct, getEntity), asCALL_THISCALL    
            ));

            AS_CHECK(scriptEngine->RegisterObjectMethod(
                "Environment", "string get_name() const property",
                asMETHOD(EnvironmentStruct, getName), asCALL_THISCALL    
            ));
        }
    }
}